<template>
	<view class="record_content">
		<view class="title">
			<view class="title__name">历史记录</view>
			<uni-icons type="trash" size="25" @click="clickDeleteAll"></uni-icons>
		</view>
		<view class="item" v-for="(item,index) in data_list" :key="index" @click="clickItem(item)">
			{{item.name}}
		</view>
	</view>
</template>

<script setup lang="ts">
import { search_item_data } from '../../data/data';
	defineProps({
		data_list: Object,
	})
	
	const emits = defineEmits(['clickDeleteAll','clickItem'])
		
	function clickDeleteAll() {
		emits('clickDeleteAll')
	}
	
	function clickItem(item:search_item_data) {
		emits('clickItem',item)
	}
	
</script>

<style lang="scss">
	.record_content{
		display: flex;
		flex-direction: column;
		padding: 40rpx 40rpx;
		.title {
			margin-bottom: 30rpx;
			font-size: 17px;
			color: #7A7A7A;
			display: flex;
			justify-content: space-between;
			align-items: center;
		}
		.item{
			font-size: 17px;
			margin-bottom: 20rpx;
		}
	}
</style>